From: Heinz Mauelshagen <heinzm@redhat.com>

Don't proceed if dm_strip_init() fails to register itself as a dm target.

Signed-off-by: Heinz Mauelshagen <heinzm@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-stripe.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

Index: linux-2.6.28-rc4/drivers/md/dm-stripe.c
===================================================================
--- linux-2.6.28-rc4.orig/drivers/md/dm-stripe.c	2008-11-13 21:20:02.000000000 +0000
+++ linux-2.6.28-rc4/drivers/md/dm-stripe.c	2008-11-13 21:21:20.000000000 +0000
@@ -320,8 +320,10 @@ int __init dm_stripe_init(void)
 	int r;
 
 	r = dm_register_target(&stripe_target);
-	if (r < 0)
+	if (r < 0) {
 		DMWARN("target registration failed");
+		return r;
+	}
 
 	kstriped = create_singlethread_workqueue("kstriped");
 	if (!kstriped) {
